Bug 878247

Summary: Review Request: perl-Lingua-EN-Numbers-Easy - Hash access to Lingua::EN::Numbers objects
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: Jitka Plesnikova <jplesnik>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jplesnik, notting, package-review
Target Milestone: ---Flags: jplesnik: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-16 20:32:02 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 878245    
Bug Blocks: 876406    

Description Miro Hrončok 2012-11-19 17:53:46 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Lingua-EN-Numbers-Easy.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Lingua-EN-Numbers-Easy-2009110701-2.fc17.src.rpm

Description:

Lingua::EN::Numbers is a module that translates numbers to English words.
Unfortunately, it has an object oriented interface, which makes it hard to
interpolate them in strings. Lingua::EN::Numbers::Easy translates numbers
to words using a tied hash, which can be interpolated.

Fedora Account System Username: churchyard
Comment 1 Jitka Plesnikova 2012-12-05 04:15:18 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.

$ rpmlint perl-Lingua-EN-Numbers-Easy-2009110701-2.fc19.*.rpm perl-Lingua-EN-Numbers-Easy.spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is ok

$ rpm -qp --requires perl-Lingua-EN-Numbers-Easy-2009110701-2.fc19.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.16.2)
      1 perl(Lingua::EN::Numbers) >= 1.01
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Requires are ok.

$ rpm -qp --provides perl-Lingua-EN-Numbers-Easy-2009110701-2.fc19.noarch.rpm | sort | uniq -c
      1 perl(Lingua::EN::Numbers::Easy) = 2009110701
      1 perl-Lingua-EN-Numbers-Easy = 2009110701-2.fc19
Provides are ok.


MD5-sum check
-------------
http://www.cpan.org/authors/id/A/AB/ABIGAIL/Lingua-EN-Numbers-Easy-2009110701.tar.gz :
  CHECKSUM(SHA256) this package     : 62bf36111b9ffa34b624cef40aee234e7e6df745af620f6f666321c59b0085de
  CHECKSUM(SHA256) upstream package : 62bf36111b9ffa34b624cef40aee234e7e6df745af620f6f666321c59b0085de


Generated by fedora-review 0.3.1 (93e63af) last change: 2012-11-30
Buildroot used: fedora-rawhide-x86_64



TODO: Replace variable PERL_INSTALL_ROOT obsoleted with DESTDIR name in %install.
TODO: Remove the deleting empty directories in %install section. This is default behavior.
TODO: Do not package README, it is same as man page.

Please consider fixing 'TODO' items before submit.

Package APPROVED.
Comment 2 Miro Hrončok 2012-12-06 08:56:38 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Lingua-EN-Numbers-Easy.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Lingua-EN-Numbers-Easy-2009110701-3.fc17.src.rpm


- Removed deleting empty dirs
- Replaced obsoleted PERL_INSTALL_ROOT with DESTDIR
- Removed README (same as manpage)
Comment 3 Miro Hrončok 2012-12-06 08:57:30 EST
New Package SCM Request
=======================
Package Name: perl-Lingua-EN-Numbers-Easy
Short Description: Hash access to Lingua::EN::Numbers objects
Owners: churchyard
Branches: f17 f18
Comment 4 Gwyn Ciesla 2012-12-06 09:05:47 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-12-06 17:02:01 EST
perl-Lingua-EN-Numbers-Easy-2009110701-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Lingua-EN-Numbers-Easy-2009110701-3.fc17
Comment 6 Fedora Update System 2012-12-06 17:04:42 EST
perl-Lingua-EN-Numbers-Easy-2009110701-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Lingua-EN-Numbers-Easy-2009110701-3.fc18
Comment 7 Fedora Update System 2012-12-07 15:46:41 EST
perl-Lingua-EN-Numbers-Easy-2009110701-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2012-12-16 20:32:04 EST
perl-Lingua-EN-Numbers-Easy-2009110701-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2013-01-11 20:21:21 EST
perl-Lingua-EN-Numbers-Easy-2009110701-3.fc18 has been pushed to the Fedora 18 stable repository.